import { axiosClient } from '@/api/axiosClient'
import type { ProductDetail } from '../types'

export async function getProductById(id: number): Promise<ProductDetail> {
  const response = await axiosClient.get<ProductDetail>(`/api/v1/products/${id}`)
  return response.data
}
